//-----------------------------------------------------------------------------
// name: bloom.ck
// desc: Showcases BloomFX in the ChuGL Post Processing Pipeline
//       
// requires: ChuGL 0.1.6 + chuck-1.5.2.0 or higher
//
// author: Andrew Zhu Aday (https://ccrma.stanford.edu/~azaday/)
//         Ge Wang (https://ccrma.stanford.edu/~ge/)
// date: Fall 2023
//-----------------------------------------------------------------------------

// Scene setup ============================================================
GG.windowTitle( "ChuGL Bloom Example" );

// FX Chain ===============================================================
GG.fx() --> BloomFX bloom --> OutputFX output;  // wasn't that simple?
3.0 => bloom.strength;
10 => bloom.levels;
0.5 => bloom.threshold;

// Main loop ==============================================================
while (true) { GG.nextFrame() => now; }