public class CollisionObject extends GGen {
    // Physics engine ======================================================
    vec3 cur_pos;
    vec3 cur_velocity;
    vec3 cur_accel;

    0. => float radius;         // non-zero for circles
    0. => float side_length;    // non-zero for squares
    0. => float angle;          // non-zero for squares

    now => time spawn_time;
    10::ms => dur no_velocity_dur;

    false => int immovable; 

    false => int mouseConnected;
}