public class AudioListener {
    // Audio listener =============================================================

    // SIMPLE ENVELOPE FOLLOWER, by P. Cook
    // https://chuck.stanford.edu/doc/examples/deep/follower.ck
    0.01 => float BASE_VOLUME;

    Gain g => OnePole p => blackhole;
    3 => g.op;
    0.99 => p.pole;         // variable parameter

    fun void setInput(UGen input) {
        input => g;
    }
    fun float getVolume() {
        return p.last();
    }
    fun float getScaledVolume() {
        return getVolume() / BASE_VOLUME;
    }
}