// EVERYTHING IS SNDPEEK

//-----------------------------------------------------------------------------
// name: sndpeek.ck
// desc: sndpeek in ChuGL!
// 
// author: Ge Wang (https://ccrma.stanford.edu/~ge/)
//         Andrew Zhu Aday (https://ccrma.stanford.edu/~azaday/)
// date: Fall 2023
//-----------------------------------------------------------------------------
public class Sndpeek extends GGen {
    // waveform renderer
    GLines waveform --> this; 
    waveform.mat().lineWidth(1.0);
    // color0
    waveform.mat().color( @(.4, .4, 1) );
    waveform.mat().transparent(true);

    1. => float alpha;

    SndpeekManager manager;    

    fun void setManager(SndpeekManager manager_) {
        manager_ @=> manager;
    }

    // graphics render loop
    fun void update(float dt) {
        // set the mesh position
        waveform.geo().positions( manager.positions );
        waveform.mat().alpha(alpha);
    }
}